# Uses of Interface
org.eclipse.ecf.core.sharedobject.provider.ISharedObjectInstantiator

Packages that use ISharedObjectInstantiator
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of ISharedObjectInstantiator in org.eclipse.ecf.core.sharedobject

Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectInstantiator
Modifier and Type
Field
Description
`protected ISharedObjectInstantiator`
SharedObjectTypeDescription.`instantiator`
Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectInstantiator
Modifier and Type
Method
Description
`ISharedObjectInstantiator`
SharedObjectTypeDescription.`getInstantiator()`
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectInstantiator
Modifier
Constructor
Description
``
`SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc)`
``
`SharedObjectTypeDescription(String name, ISharedObjectInstantiator instantiator, String desc, Map props)`